## libxmlada 21.0.0

=== tests/Makefile ===
TESTS= test_unicode \
		 test_state \
		 test_xml \
		 test_adacore_dom \
		 test_schema \
		 test_date_time \
		 test_numbers \
		 test_adacore_schema \
		 test_multiple_xsd \
		 test_examples_dom \
		 test_examples_sax \
		 test_examples_schema \
		 test_base64


# Force running all the tests
.PHONY: ${TESTS}

tests: ${TESTS}

EXECDIR=./obj/
RESULTS=$(shell pwd)/results
EXAMPLE_EXPECTED=$(shell pwd)/examples

test_unicode: EXEC=unicode/test_unicode
test_unicode: generic_test_unicode

test_base64: EXEC=base64/test_base64
test_base64: generic_test_base64

test_state: EXEC=sax/teststate
test_state: generic_test_state

test_xml: EXEC=dom/testxml
test_xml: ARGS=-auto
test_xml: generic_test_xml

test_schema: EXEC=schema/schematest
test_schema: ARGS=--xsd10
test_schema: generic_test_schema

test_date_time: EXEC=schema/test_date_time
test_date_time: generic_test_date_time

test_numbers: EXEC=schema/testnumbers
test_numbers: generic_test_numbers

test_adacore_dom: EXEC=adacore/dom/adacore_dom.sh
test_adacore_dom: EXECDIR=./

test_adacore_schema: EXEC=adacore/schema/adacore_schema.sh
test_adacore_schema: EXECDIR=./

ifneq ($(wildcard adacore/.*),)
test_adacore_dom: generic_test_adacore_dom
test_adacore_schema: generic_test_adacore_schema
else
test_adacore_dom: generic_not_run_adacore_dom
test_adacore_schema: generic_not_run_adacore_schema
endif

generic_test_%: BASE=$(notdir $(EXEC))
generic_test_%: DIR=$(dir $(EXEC))
generic_test_%:
	@echo "$(EXEC)"
	@cd $(DIR); \
		mkdir -p obj; \
		$(EXECDIR)$(BASE) $(ARGS) > obj/$(BASE).tmp_out; \
		tr -d '\r' < obj/$(BASE).tmp_out > $(RESULTS)/$(BASE).out ; \
		diff $(BASE).expected $(RESULTS)/$(BASE).out > $(RESULTS)/$(BASE).diff; \
	  	if test -s $(RESULTS)/$(BASE).diff; then \
		   echo "DIFF"; \
			cat $(RESULTS)/$(BASE).diff ; \
		else \
		   echo "OK"; \
		fi

generic_not_run_%:
	@echo "$(EXEC) skipped"

test_multiple_xsd:
	@echo "multiple xsd"
	@cd schema/multiple_xsd; \
		gprbuild -q -Pdefault.gpr; \
		./validate > $(RESULTS)/multiple_xsd.out; \
		cp $(RESULTS)/multiple_xsd.out $(RESULTS)/multiple_xsd.diff; \
		cat $(RESULTS)/multiple_xsd.diff

test_examples_dom:
	@echo "test examples dom"
	@cd ../docs/dom; \
		gprbuild -q -p -Pdefault.gpr 2> $(RESULTS)/domexample.out; \
		./domexample >> $(RESULTS)/domexample.out; \
		cp $(RESULTS)/domexample.out $(RESULTS)/domexample.diff; \
		cat $(RESULTS)/domexample.diff; \
		./domexample2 > $(RESULTS)/domexample2.out; \
		diff -b $(EXAMPLE_EXPECTED)/domexample2.expected $(RESULTS)/domexample2.out > $(RESULTS)/domexample2.diff; \
		if test -s $(RESULTS)/domexample2.diff; then \
			cat $(RESULTS)/domexample2.diff; fi; \
		./domschemaexample > $(RESULTS)/domschemaexample.out; \
		cp $(RESULTS)/domschemaexample.out $(RESULTS)/domschemaexample.diff; \
		cat $(RESULTS)/domschemaexample.diff

test_examples_sax:
	@echo "test examples sax"
	@cd ../docs/sax; \
		gprbuild -q -p -Pdefault.gpr 2> $(RESULTS)/saxexample_main.out; \
		./saxexample_main >> $(RESULTS)/saxexample_main.out; \
		diff -b $(EXAMPLE_EXPECTED)/saxexample_main.expected $(RESULTS)/saxexample_main.out > $(RESULTS)/saxexample_main.diff; \
		if test -s $(RESULTS)/saxexample_main.diff; then \
			cat $(RESULTS)/saxexample_main.diff; \
		fi

test_examples_schema:
	@echo "test examples schema"
	@cd ../docs/schema; \
		gprbuild -q -p -Pdefault.gpr 2> $(RESULTS)/schemaexample.out; \
		./schemaexample >> $(RESULTS)/schemaexample.out; \
		cp $(RESULTS)/schemaexample.out $(RESULTS)/schemaexample.diff; \
		cat $(RESULTS)/schemaexample.diff

=== debian/changelog ===
libxmlada (21.0.0-4) unstable; urgency=medium

  * In autopkgtests, import the installed xmlada.gpr instead of the one in
    the top source directory where tests are run. Closes: #977550.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 20 Dec 2020 18:07:52 +0000

libxmlada (21.0.0-3) unstable; urgency=medium

  * Fix autopkgtests: syntax error in gnat project.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 20 Dec 2020 11:22:18 +0000

libxmlada (21.0.0-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 11 Dec 2020 09:08:45 +0100

libxmlada (21.0.0-1) experimental; urgency=medium

  * New upstream release (no renaming needed).
  * AdaCore grants the GCC runtime exception to the GPL-3+ license.
  * AdaCore provides GitHub releases, replace README.source with watch file.
  * The archives contain no minified javascript anymore.  Stop repackaging.
  * Merge upstream and debian copyright stanzas.
    Add missing license for documentation.
  * Let run time tests check availability of examples in -doc package.
  * For simplicity, override dh_auto_configure instead of dh_fixperms.
  * Disable parallelism for docs (unreliable cooperation of make and sphinx).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 19 Oct 2020 17:34:46 +0000

libxmlada (20-1) experimental; urgency=medium

  * New upstream release built with gnat-10.
    Migration in experimental, renaming lib and -dev packages.
  * Debhelper 13.
  * Drop obsolete misc:Pre-Depends.
  * Simplify dependency handling in debian/rules.
  * Force Make order so that gnatmake does not compile the same source twice.
  * Stop overwriting dynamic .ali with static.ali.
  * Strip unreproducible -fdebug-prefix-map options from installed .ali files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 20 May 2020 19:55:13 +0000

=== debian/control ===
Source: libxmlada
Priority: optional
Section: libdevel
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 gnat,
# The rules script parses this line to extract the gnat version:
 gnat-10,
 unicode-data (>= 13~), unicode-data (<< 14~),
# Used by debian/rules to generate unicode-names-*.ads.
# When a new unicode standard is released, we most probably have to
# increase the ALI version of xmlada-unicode and all reverse dependencies.
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 python3-sphinx (>= 1.6.3-2),
# fixing #869098.
 latexmk,
# Sphinx >= 1.6 uses the latexmk driver.
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-plain-generic,
 texlive-latex-extra,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libxmlada
Vcs-Git: https://salsa.debian.org/debian/libxmlada.git
Homepage: https://github.com/AdaCore/xmlada

Package: libxmlada-unicode10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libxmlada-doc
# so all -dev packages indirectly Suggest: -doc.
Description: XML/Ada, a full XML suite for Ada programmers (unicode)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the unicode module.

Package: libxmlada-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: gnat
Description: XML/Ada, a full XML suite for Ada programmers (documentation)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the documentation in text, PDF and HTML.

Package: libxmlada-dom10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: XML/Ada, a full XML suite for Ada programmers (dom)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the dom module.

Package: libxmlada-dom7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (dom runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the dom runtime shared library.

Package: libxmlada-input10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: XML/Ada, a full XML suite for Ada programmers (input sources)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the input sources module.

Package: libxmlada-input7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (input sources runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the input sources runtime shared library.

Package: libxmlada-sax10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: XML/Ada, a full XML suite for Ada programmers (sax)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the sax module.

Package: libxmlada-sax7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (sax runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the sax runtime shared library.

Package: libxmlada-schema10-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: XML/Ada, a full XML suite for Ada programmers (schema)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the development tools for the schema module,
 and an xmlada.gpr project importing the whole XML/Ada library.
# inside schema-dev because it Depends: every other -dev package.

Package: libxmlada-schema7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (schema runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the schema runtime shared library.

Package: libxmlada-unicode7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: XML/Ada, a full XML suite for Ada programmers (unicode runtime)
 XML/Ada is a set of modules that provide a simple manipulation of XML
 streams. It supports the whole XML 1.0 specifications, and can parse
 any file that follows this standard (including the contents of the
 DTD).  It also provides support for a number of other standard
 associated with XML, like SAX, DOM, and XML Schemas.  In addition, it
 includes a module to manipulate Unicode streams, since this is required
 by the XML standard.
 .
 This package contains the unicode runtime shared library.

=== debian/rules ===
#!/usr/bin/make -f
# Build script for XML/Ada in Debian.
# Copyright (c) 2003-2009 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2013-2020 Nicolas Boulenguez <nicolas@debian.org>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

# NOTE:
# In order to prevent a circular build-dependency, the Debian packages
# for XML/Ada and GPRBuild bother to build without project support.
# Please keep the two debian/rules files similar enough to ease
# backport of good ideas.

######################################################################
# Read some variables from the Debian control file.
# To debug, replace eval with error.
$(foreach line,$(shell sed -n ' \
  s/^Package:\s*\(libxmlada-\([a-z]\+\)\([0-9.]\+\)\)$$/ \
    xmlada_\2_LIB_PKG:=\1 \
    xmlada_\2_SONAME:=libxmlada_\2.so.\3 \
   /p;\
  s/^Package:\s*\(libxmlada-\([a-z]\+\)[0-9.]\+-dev\)$$/ \
    xmlada_\2_DEV_PKG:=\1 \
   /p;\
  s/^ gnat-\([0-9.]\+\),\?$$/ \
    GNAT_VERSION:=\1 \
   /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_ADAFLAGS_MAINT_APPEND := -gnatwa -Wall -gnatafno -gnatVa
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
# wildcard in case only Build-Depends-Indep are installed.

# Ignore gnat.adc in top directory.
BUILDER_OPTIONS += -gnatA

######################################################################
%:
	dh $@

# Rewrite upstream configure/make build system.
.PHONY: $(addprefix override_dh_auto_, \
  configure build-arch build-indep test install clean)

# Rewrite upstream targets without gprbuild or gprclean.
# gnatmake does not support projects anymore, we cannot use xmlada.gpr.

# Actually more "fix upstream archive" than "configure".
override_dh_auto_configure:
  # Fix silly permissions (present in 21.0.0).
	find docs/cross -type f -a -executable | xargs chmod -x
  # Ensure that unicode names are regenerated (present in 21.0.0).
	rm -f unicode/unicode-names-*

######################################################################
# Rewrite unicode/importer/Makefile without network and gprbuild.
obj/shared/$(xmlada_unicode_SONAME) \
obj/static/libxmlada_unicode.a          : unicode/unicode-names-basic_latin.ads

obj/convert: $(wildcard unicode/importer/*.ad[bs]) | obj
	gnatmake unicode/importer/convert.adb -D obj -o $@ \
	  $(BUILDER_OPTIONS) \
	  -cargs $(ADAFLAGS) \
	  -largs $(LDFLAGS)

unicode/unicode-names-basic_latin.ads: obj/convert \
                                       /usr/share/unicode/Blocks.txt \
                                       /usr/share/unicode/NameAliases.txt \
                                       /usr/share/unicode/UnicodeData.txt
 # Generate unicode-names/* directly in unicode/.
	ln -s unicode generated
	$^
override_dh_auto_clean::
	rm -f generated unicode/unicode-names-*

######################################################################
ADS_DIR := usr/share/ada/adainclude
GPR_DIR := usr/share/gpr
ALI_DIR := usr/lib/$(DEB_HOST_MULTIARCH)/ada/adalib
SO_DIR  := usr/lib/$(DEB_HOST_MULTIARCH)
A_DIR   := usr/lib/$(DEB_HOST_MULTIARCH)

# For source directories (-aI) and ALI directories (-aO), blindly list
# all build dependencies and append each library once it is
# built. This does not hurt, and covers all direct and indirect
# dependencies.

# For installed shared libraries (-l) and locally built shared
# objects), the same strategy works thanks to --as-needed, which is
# the default since gcc-9, provided a proper ordering.

# Libraries provided by Ada -dev packages in Build-Depends.
ada_build_deps :=

ada_build_deps_includes := $(foreach l,$(ada_build_deps),-aI/$(ADS_DIR)/$(l) -aO/$(ALI_DIR)/$(l))
ada_build_deps_ldlibs := $(addprefix -l,$(ada_build_deps) gnarl-$(GNAT_VERSION) gnat-$(GNAT_VERSION))

# These lists grow at the end of the template.
includes_so_far :=
shared_objects_so_far :=

define library_template
# Parameters:
# _SRCDIR: directory containing the sources files
# _SONAME : shared object name (libNAME.so.VERSION)
# _DEV_PKG, _LIB_PKG: as in policy
# For installed projects and ada:Depends, we need an explicit list of
# the dependencies that the library *directly* reference.
# _deps_int_direct: among the local libraries built so far
# _deps_ext_direct: among ada_build_deps (each one must have a _DEV_PKG)

  # Remove pure specifications and separate compilation units.
  $(library)_unit_bodies := $(shell grep -L '^separate ' $($(library)_SRCDIR)/*.adb)

  $(library)_c_sources := $(wildcard $($(library)_SRCDIR)/*.c)

  # Build dynamic library.
  override_dh_auto_build-arch: obj/shared/$($(library)_SONAME)
  obj/shared/$($(library)_SONAME): \
        $$(patsubst $($(library)_SRCDIR)/%.c,obj/shared_$(library)_obj/%.o,$$($(library)_c_sources)) \
        $(shared_objects_so_far) \
        | obj/shared obj/shared_$(library)_ali obj/shared_$(library)_obj
    # -fPIC/-shared overrides -fPIE/-pie in ADAFLAGS/LDFLAGS.
	gnatmake -c $$($(library)_unit_bodies) -D obj/shared_$(library)_obj \
	  $(BUILDER_OPTIONS) $(includes_so_far) $(ada_build_deps_includes) \
	  -cargs $(ADAFLAGS) -fPIC
	gcc-$(GNAT_VERSION) $(LDFLAGS) -shared \
	  -o $$@ \
	  -Wl,-soname,$($(library)_SONAME) \
	  obj/shared_$(library)_obj/*.o \
	  $(shared_objects_so_far) $(ada_build_deps_ldlibs)
  # Create development link so that the other libraries may link with it.
	ln -fs $($(library)_SONAME) obj/shared/lib$(library).so
  # Move ALI files to library directory and mark them read-only.
	mv obj/shared_$(library)_obj/*.ali obj/shared_$(library)_ali
	chmod 444 obj/shared_$(library)_ali/*
  # Work-around until BUILD_PATH_PREFIX_MAP is accepted in GCC.
	sed -i '/^A -f[a-z]+-prefix-map=/d' obj/shared_$(library)_ali/*

  # Build static library.
  override_dh_auto_build-arch: obj/static/lib$(library).a
  # There is no link step, but listing shared objects built so far as
  # prerequisites forces Make to first build their .ali, so that this
  # gnatmake run does not compile them.
  obj/static/lib$(library).a: \
         $$(patsubst $($(library)_SRCDIR)/%.c,obj/static_$(library)_obj/%.o,$$($(library)_c_sources)) \
         $(shared_objects_so_far) \
        | obj/static obj/static_$(library)_ali obj/static_$(library)_obj
	gnatmake -c $$($(library)_unit_bodies) -D obj/static_$(library)_obj \
	  $(BUILDER_OPTIONS) $(includes_so_far) $(ada_build_deps_includes) \
	  -cargs $(ADAFLAGS)
	ar rc $$@ obj/static_$(library)_obj/*.o
	ranlib $$@

  obj/shared_$(library)_obj/%.o: $($(library)_SRCDIR)/%.c | obj/shared_$(library)_obj
	gcc-$(GNAT_VERSION) -c $(CFLAGS) $(CPPFLAGS) $$< -o $$@ -fPIC
  obj/static_$(library)_obj/%.o: $($(library)_SRCDIR)/%.c | obj/static_$(library)_obj
	gcc-$(GNAT_VERSION) -c $(CFLAGS) $(CPPFLAGS) $$< -o $$@

  obj/shared_$(library)_ali obj/shared_$(library)_obj obj/static_$(library)_ali obj/static_$(library)_obj: | obj
	mkdir $$@

  execute_after_dh_install::
  # dynamic library
	dh_install --package=$($(library)_LIB_PKG) \
	  obj/shared/$($(library)_SONAME) \
	  $(SO_DIR)
  # static library
	dh_install --package=$($(library)_DEV_PKG) \
	  obj/static/lib$(library).a \
	  $(A_DIR)
  # development symbolic link
	dh_link --package=$($(library)_DEV_PKG) \
	  $(SO_DIR)/$($(library)_SONAME) \
	  $(SO_DIR)/lib$(library).so
  # ALI files

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xmlada-$1.tar.gz%" \
https://github.com/AdaCore/xmlada/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libxmlada 22.0.0

=== debian/changelog ===
libxmlada (22.0.0-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 17:50:29 +0200

libxmlada (22.0.0-2) experimental; urgency=medium

  * Let -dev packages depend on 'gnat (>= X), gnat (<< X+1)' instead of
    'gnat, gnat-X'.  See https://bugs.debian.org/bug=975589#24.
  * Override dh_gencontrol instead of appending to .substvars, in order to
    increase log readability and prevent multiple inclusions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2022 12:31:28 +0000

libxmlada (22.0.0-1) experimental; urgency=medium

  * Rebuild with gnat-11 in experimental.
    Build-Depend: unicode 15 (closes: #995578).
    New upstream version.
    Rename -dev packages per Ada policy. No need to bump soversion.
  * Build-Depend: tex-gyre for sphinx documentation.
  * Split unicode updates in small patches instead of rebasing.
  * Standards-Version: 4.6.0.
  * Add license for Ada code generated from Unicode data.
  * Add upstream metadata.
  * watch: remove unneeded filenamemangle uscan option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 11:17:22 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Build-Depends-Arch:
  gnat,
 # The rules script parses this line to extract the gnat version:
- gnat-10,
- unicode-data (>= 13~), unicode-data (<< 14~),
+ gnat-11,
+ unicode-data (>= 14~), unicode-data (<< 15~),
 # Used by debian/rules to generate unicode-names-*.ads.
 # When a new unicode standard is released, we most probably have to
 # increase the ALI version of xmlada-unicode and all reverse dependencies.
@@ -19,18 +19,20 @@
  python3-sphinx (>= 1.6.3-2),
 # fixing #869098.
  latexmk,
+# sphinx-doc requires tgheros.sty:
+ tex-gyre,
 # Sphinx >= 1.6 uses the latexmk driver.
  texlive-fonts-recommended,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
  texlive-latex-extra,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libxmlada
 Vcs-Git: https://salsa.debian.org/debian/libxmlada.git
 Homepage: https://github.com/AdaCore/xmlada
 
-Package: libxmlada-unicode10-dev
+Package: libxmlada-unicode11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libxmlada-doc
@@ -64,7 +66,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libxmlada-dom10-dev
+Package: libxmlada-dom11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (dom)
@@ -94,7 +96,7 @@
  .
  This package contains the dom runtime shared library.
 
-Package: libxmlada-input10-dev
+Package: libxmlada-input11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (input sources)
@@ -124,7 +126,7 @@
  .
  This package contains the input sources runtime shared library.
 
-Package: libxmlada-sax10-dev
+Package: libxmlada-sax11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (sax)
@@ -154,7 +156,7 @@
  .
  This package contains the sax runtime shared library.
 
-Package: libxmlada-schema10-dev
+Package: libxmlada-schema11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (schema)

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for XML/Ada in Debian.
 # Copyright (c) 2003-2009 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2013-2020 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2021 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -46,11 +46,12 @@
   -Wl,--no-allow-shlib-undefined
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
+include /usr/share/dpkg/buildopts.mk
+include $(wildcard /usr/share/ada/debian_packaging.mk)
 # wildcard in case only Build-Depends-Indep are installed.
 
 # Ignore gnat.adc in top directory.
-BUILDER_OPTIONS += -gnatA
+GNATMAKEFLAGS += -gnatA
 
 ######################################################################
 %:
@@ -77,7 +78,7 @@
 
 obj/convert: $(wildcard unicode/importer/*.ad[bs]) | obj
 	gnatmake unicode/importer/convert.adb -D obj -o $@ \
-	  $(BUILDER_OPTIONS) \
+	  $(GNATMAKEFLAGS) \
 	  -cargs $(ADAFLAGS) \
 	  -largs $(LDFLAGS)
 
@@ -140,7 +141,7 @@
         | obj/shared obj/shared_$(library)_ali obj/shared_$(library)_obj
     # -fPIC/-shared overrides -fPIE/-pie in ADAFLAGS/LDFLAGS.
 	gnatmake -c $$($(library)_unit_bodies) -D obj/shared_$(library)_obj \
-	  $(BUILDER_OPTIONS) $(includes_so_far) $(ada_build_deps_includes) \
+	  $(GNATMAKEFLAGS) $(includes_so_far) $(ada_build_deps_includes) \
 	  -cargs $(ADAFLAGS) -fPIC
 	gcc-$(GNAT_VERSION) $(LDFLAGS) -shared \
 	  -o $$@ \
@@ -165,7 +166,7 @@
          $(shared_objects_so_far) \
         | obj/static obj/static_$(library)_ali obj/static_$(library)_obj
 	gnatmake -c $$($(library)_unit_bodies) -D obj/static_$(library)_obj \
-	  $(BUILDER_OPTIONS) $(includes_so_far) $(ada_build_deps_includes) \
+	  $(GNATMAKEFLAGS) $(includes_so_far) $(ada_build_deps_includes) \
 	  -cargs $(ADAFLAGS)
 	ar rc $$@ obj/static_$(library)_obj/*.o
 	ranlib $$@

## libxmlada 23.0.0

=== debian/changelog ===
libxmlada (23.0.0-3) unstable; urgency=medium

  * Break/Replace libxmlada*-dev since oldstable.
    Closes: #1034918, #1034926, #1034937, #1034944, #1034952.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 21:52:37 +0200

libxmlada (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Dec 2022 23:13:00 +0100

libxmlada (23.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Build against unicode-data 15.  Closes: #1020018.
    Do not rename the -dev package in experimental.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 24 Nov 2022 08:52:59 +0000

libxmlada (23~20220806-3) experimental; urgency=medium

  * Avoid variables set by packaging.mk during -indep builds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 29 Aug 2022 18:10:48 +0000

libxmlada (23~20220806-2) experimental; urgency=medium

  * Simplify debian/rules thanks to dh-ada-library 8.1.
  * Actually refresh the unicode generated sources.
  * patches/unicode-exceptions.diff for unicode 14.
  * In debian/rules, write a bootstap path and not a dependency graph.
    Also remove unneeded subdirectories.
  * Prefer make to dh_auto_build because the latter interfers with
    gnatmake or sphinx parallelism.
  * Fix ALI path in tests/no-project.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Aug 2022 21:16:27 +0000

libxmlada (23~20220806-1) experimental; urgency=medium

  * New upstream snapshot merging all Debian patches.
  * Use DEB_GNAT_VERSION from debian_packaging.mk
  * Move clean instructions into debian/clean

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 07 Aug 2022 23:37:45 +0000

libxmlada (23~20220614-1) experimental; urgency=medium

  * Build new upstream snapshot with gnat-12 in experimental.
    Change ALI versions accordingly.  Change SO version of the dom component.
  * Fix regular expression removing -prefix-map lines from .ali files.
  * Avoid failing when erroneous execution rights are already removed.
  * Standards-Version: 4.6.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 06 Aug 2022 14:39:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- gnat,
-# The rules script parses this line to extract the gnat version:
- gnat-11,
- unicode-data (>= 14~), unicode-data (<< 15~),
+ dh-ada-library (>= 8.1),
+ dh-sequence-ada-library,
+ gnat-12,
+ unicode-data (>= 15~), unicode-data (<< 16~),
 # Used by debian/rules to generate unicode-names-*.ads.
 # When a new unicode standard is released, we most probably have to
 # increase the ALI version of xmlada-unicode and all reverse dependencies.
@@ -26,13 +26,15 @@
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
  texlive-latex-extra,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libxmlada
 Vcs-Git: https://salsa.debian.org/debian/libxmlada.git
 Homepage: https://github.com/AdaCore/xmlada
 
-Package: libxmlada-unicode11-dev
+Package: libxmlada-unicode12-dev
+Breaks: libxmlada-unicode8-dev, libxmlada-unicode9-dev, libxmlada-unicode10-dev, libxmlada-unicode11-dev
+Replaces: libxmlada-unicode8-dev, libxmlada-unicode9-dev, libxmlada-unicode10-dev, libxmlada-unicode11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libxmlada-doc
@@ -66,7 +68,9 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libxmlada-dom11-dev
+Package: libxmlada-dom12-dev
+Breaks: libxmlada-dom8-dev, libxmlada-dom9-dev, libxmlada-dom10-dev, libxmlada-dom11-dev
+Replaces: libxmlada-dom8-dev, libxmlada-dom9-dev, libxmlada-dom10-dev, libxmlada-dom11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (dom)
@@ -80,7 +84,7 @@
  .
  This package contains the development tools for the dom module.
 
-Package: libxmlada-dom7
+Package: libxmlada-dom8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -96,7 +100,9 @@
  .
  This package contains the dom runtime shared library.
 
-Package: libxmlada-input11-dev
+Package: libxmlada-input12-dev
+Breaks: libxmlada-input8-dev, libxmlada-input9-dev, libxmlada-input10-dev, libxmlada-input11-dev
+Replaces: libxmlada-input8-dev, libxmlada-input9-dev, libxmlada-input10-dev, libxmlada-input11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (input sources)
@@ -126,7 +132,9 @@
  .
  This package contains the input sources runtime shared library.
 
-Package: libxmlada-sax11-dev
+Package: libxmlada-sax12-dev
+Breaks: libxmlada-sax8-dev, libxmlada-sax9-dev, libxmlada-sax10-dev, libxmlada-sax11-dev
+Replaces: libxmlada-sax8-dev, libxmlada-sax9-dev, libxmlada-sax10-dev, libxmlada-sax11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (sax)
@@ -156,7 +164,9 @@
  .
  This package contains the sax runtime shared library.
 
-Package: libxmlada-schema11-dev
+Package: libxmlada-schema12-dev
+Breaks: libxmlada-schema8-dev, libxmlada-schema9-dev, libxmlada-schema10-dev, libxmlada-schema11-dev
+Replaces: libxmlada-schema8-dev, libxmlada-schema9-dev, libxmlada-schema10-dev, libxmlada-schema11-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (schema)

=== debian/rules ===
#!/usr/bin/make -f
# Build script for XML/Ada in Debian.
# Copyright (c) 2003-2009 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2013-2022 Nicolas Boulenguez <nicolas@debian.org>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

# NOTE:
# In order to prevent a circular build-dependency, the Debian packages
# for XML/Ada and GPRBuild bother to build without project support.
# Please keep the two debian/rules files similar enough to ease
# backport of good ideas.

######################################################################

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_ADAFLAGS_MAINT_APPEND := -gnatwa -Wall -gnatafno -gnatVa
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include $(wildcard /usr/share/ada/packaging.mk)
# wildcard in case only Build-Depends-Indep are installed.

# Ignore gnat.adc in top directory.
GNATMAKEFLAGS += -gnatA

######################################################################
%:
	dh $@

# Rewrite upstream configure/make build system.
.PHONY: $(addprefix override_dh_auto_, \
  configure build-arch build-indep test install-arch install-indep clean)

# Rewrite upstream targets without gprbuild or gprclean.
# gnatmake does not support projects anymore, we cannot use xmlada.gpr.
# The priority is to bootstrap, not a complete dependency graph.

######################################################################
# Rewrite unicode/importer/Makefile without network and gprbuild.
# Generate the unicode-names-*.ads before the override_dh_auto_build
# phase so that wildcard below sees the generated files.
override_dh_auto_build-arch::
	mkdir -p obj unicode/importer/generated
	gnatmake unicode/importer/convert.adb -D obj -o obj/convert \
	  $(GNATMAKEFLAGS) \
	  -cargs $(ADAFLAGS) \
	  -largs $(LDFLAGS)
	cd unicode/importer && ../../obj/convert \
	  /usr/share/unicode/Blocks.txt \
	  /usr/share/unicode/NameAliases.txt \
	  /usr/share/unicode/UnicodeData.txt
	rm -f unicode/unicode-names-*.ads
	mv unicode/importer/generated/unicode-names-*.ads unicode

######################################################################

# For source directories (-aI) and ALI directories (-aO), blindly list
# all build dependencies and append each library once it is
# built. This does not hurt, and covers all direct and indirect
# dependencies.

# For installed shared libraries (-l) and locally built shared
# objects), the same strategy works thanks to --as-needed, which is
# the default since gcc-9, provided a proper ordering.

# Libraries provided by Ada -dev packages in Build-Depends.
ada_build_deps :=

# These list grow each time the template is expanded.
gnatmakeflags := $(GNATMAKEFLAGS) \
                 $(ada_build_deps:%=-aI/$(ada_install_dir)/%) \
                 $(ada_build_deps:%=-aO/$(ali_install_dir)/%)
shared_objects_so_far := $(ada_build_deps:%=-l%) \
                         -lgnarl-$(DEB_GNAT_VERSION) \
                         -lgnat-$(DEB_GNAT_VERSION)

define library_template
# Parameters:
# _SRCDIR: directory containing the sources files
# _SO_VERSION : part of the shared object name
# _imported_projects: for the generated project.

  override_dh_auto_build-arch::

	mkdir -p obj/shared_$1 obj/static_$1

  # Build dynamic library.
    # -fPIC/-shared overrides -fPIE/-pie in ADAFLAGS/LDFLAGS.
	gnatmake -c `grep -L '^separate ' $($1_SRCDIR)/*.ad[bs]` \
	  $(gnatmakeflags) -D obj/shared_$1 -cargs $(ADAFLAGS) -fPIC
	gcc-$(DEB_GNAT_VERSION) -shared \
	  -o obj/lib$1.so.$($1_SO_VERSION) \
	  -Wl,-soname,lib$1.so.$($1_SO_VERSION) \
	  $(LDFLAGS) obj/shared_$1/*.o $(shared_objects_so_far)

  # Mark ALI files as read-only.
	chmod 444 obj/shared_$1/*.ali

  # Build static library.
	gnatmake -c `grep -L '^separate ' $($1_SRCDIR)/*.ad[bs]` \
	  $(gnatmakeflags) -D obj/static_$1 -cargs $(ADAFLAGS)
	ar rc obj/lib$1.a obj/static_$1/*.o
	ranlib obj/lib$1.a

  # Externally built project installed for end users.
	sed ' \
	  /@IMPORTS@/ { \
	    s//$($1_imported_projects:%=with "%.gpr";\n)/; \
	    s/\n /\n/g; }; \
	  s/@library@/$1/; \
	  s|@DEB_LIB_DIR@|$(DEB_LIB_DIR)|; \
	  s|@DEB_ADA_SOURCE_DIR@|$(DEB_ADA_SOURCE_DIR)|; \
	  s|@DEB_ADA_LIB_INFO_DIR@|$(DEB_ADA_LIB_INFO_DIR)|; \
	  ' debian/template.gpr > obj/$1.gpr

  override_dh_auto_install-arch::
	install -m644 -Dtdebian/tmp/$(DEB_ADA_SOURCE_DIR)/$1 $($1_SRCDIR)/*.ad[bs]
	install -m444 -Dtdebian/tmp/$(DEB_ADA_LIB_INFO_DIR)/$1 obj/shared_$1/*.ali
	install -m644 -Dtdebian/tmp/$(DEB_GNAT_PROJECT_DIR) obj/$1.gpr
	install -m644 -Dtdebian/tmp/$(DEB_LIB_DIR) \
	  obj/lib$1.so.$($1_SO_VERSION) obj/lib$1.a
	ln -fs lib$1.so.$($1_SO_VERSION) debian/tmp/$(DEB_LIB_DIR)/lib$1.so

  gnatmakeflags += -aI$($1_SRCDIR) -aOobj/shared_$1
  shared_objects_so_far := obj/lib$1.so.$($1_SO_VERSION) \
                           $(shared_objects_so_far)
endef

xmlada_unicode_SRCDIR := unicode
$(eval $(call library_template,xmlada_unicode))

xmlada_input_SRCDIR := input_sources
xmlada_input_imported_projects := xmlada_unicode
$(eval $(call library_template,xmlada_input))

xmlada_sax_SRCDIR := sax
xmlada_sax_imported_projects := xmlada_input xmlada_unicode
$(eval $(call library_template,xmlada_sax))

xmlada_dom_SRCDIR := dom
xmlada_dom_imported_projects := xmlada_sax xmlada_unicode
$(eval $(call library_template,xmlada_dom))

xmlada_schema_SRCDIR := schema
xmlada_schema_imported_projects := xmlada_dom xmlada_sax xmlada_unicode
$(eval $(call library_template,xmlada_schema))

######################################################################
override_dh_auto_build-indep:
  ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -Cdocs html latexpdf text \
	  $(DEB_BUILD_OPTION_PARALLEL:%=SPHINXOPTS=-j%)
  endif

# Compatibility project, importing all XMLAda libraries.
execute_after_dh_install-arch::
	dh_install --package=$(xmlada_schema_DEV_PKG) \
	  distrib/xmlada.gpr \
	  $(DEB_GNAT_PROJECT_DIR)

## libxmlada 24.0.0

=== unicode/importer/Makefile ===
MAIN := convert
UNICODE_VERSION := 14.0.0
UNICODE_URL := ftp://ftp.unicode.org/Public/$(UNICODE_VERSION)/ucd
UNICODE_FILES := Blocks.txt NameAliases.txt UnicodeData.txt

.PHONY: all clean ${MAIN}

all: $(MAIN) $(UNICODE_FILES)
	mkdir -p generated
	./$^

$(MAIN):
	gprbuild -p -Pconvert

$(UNICODE_FILES):
	wget $(UNICODE_URL)/$@

clean:
	rm -f $(UNICODE_FILES)
	gprclean -Pconvert
	rm -rf generated/

=== debian/changelog ===
libxmlada (24.0.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:21:53 +0000

libxmlada (24.0.0-2build1) noble; urgency=medium

  * No-change rebuild with gnat-13 13.2.0-21.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 19:02:37 +0100

libxmlada (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 14:37:57 +0100

libxmlada (24.0.0-1) experimental; urgency=medium

  * New upstream release, depending on sphinx rtd theme.
  * Rebuild with dh-ada-library 9.1, with gnat versions in ada:Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Dec 2023 11:58:49 +0000

libxmlada (23.0.0-6) experimental; urgency=medium

  * Bump shared object versions. Gprbuild/2023.0.0-3 (gcc-12) crashes when
    linking with xmlada/23.0.0-5 (gcc-13) instead of 23.0.0-3 (gcc-12).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 27 Oct 2023 10:53:44 +0000

libxmlada (23.0.0-5) experimental; urgency=medium

  * Typo in Break/Replace for libxmlada-unicode-dev. Closes: #1054530.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 25 Oct 2023 11:19:35 +0000

libxmlada (23.0.0-4) experimental; urgency=medium

  * Build in experimental with gnat >= 13 and dh-ada-library >= 9.
  * Rename -dev package, now unversioned. Provide a name containing a hash.
  * Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Oct 2023 16:28:48 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for XML/Ada in Debian.
 # Copyright (c) 2003-2009 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2013-2022 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2023 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -169,6 +169,6 @@
 
 # Compatibility project, importing all XMLAda libraries.
 execute_after_dh_install-arch::
-	dh_install --package=$(xmlada_schema_DEV_PKG) \
+	dh_install --package=libxmlada-schema-dev \
 	  distrib/xmlada.gpr \
 	  $(DEB_GNAT_PROJECT_DIR)
